package de.dass_it.vanhelsing.gui.items;
public class FDDirectorItem extends ItemType implements UserObjectItem{
	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="password"
	 */
	private String password;
	/**
	 * @uml.property  name="monitor"
	 */
	private String monitor;

	public FDDirectorItem(){}

	public FDDirectorItem(String name, String password){
		setName(name);
		setPassword(password);
	}
	
	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return
	 * @uml.property  name="password"
	 */
	public String getPassword() {
		return password;
	}
	/**
	 * @param password
	 * @uml.property  name="password"
	 */
	public void setPassword(String password) {
		this.password = password;
	}
	/**
	 * @return
	 * @uml.property  name="monitor"
	 */
	public String getMonitor() {
		return monitor;
	}
	/**
	 * @param monitor
	 * @uml.property  name="monitor"
	 */
	public void setMonitor(String monitor) {
		this.monitor = monitor;
	}
	
}
